Bug 742324 - allow nsslapd-idlistscanlimit to be set dynamically and per-user
Summary: allow nsslapd-idlistscanlimit to be set dynamically and per-user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Database - General
Version: 1.2.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 742382 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-09-29 17:40 UTC by Rich Megginson
Modified: 2015-12-10 18:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 742382 (view as bug list)
Environment:
Last Closed: 2015-12-10 18:42:42 UTC


Attachments (Terms of Use)
0002-Bug-742324-allow-nsslapd-idlistscanlimit-to-be-set-d.patch (39.87 KB, patch)
2011-09-29 17:45 UTC, Rich Megginson
nkinder: review+
nhosoi: review+
Details | Diff

Description Rich Megginson 2011-09-29 17:40:00 UTC
Unable to change nsslapd-idlistscanlimit in a running server.
Unable to set per-user idlistscanlimit (as with nsLookThroughLimit)

Comment 1 Rich Megginson 2011-09-29 17:45:35 UTC
Created attachment 525606 [details]
0002-Bug-742324-allow-nsslapd-idlistscanlimit-to-be-set-d.patch

Comment 2 Rich Megginson 2011-09-29 20:36:21 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   0157534..c21515b  master -> master
commit c21515b1577d5e71fddc20b91bae7abfda6c90e1
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Thu Sep 29 11:36:20 2011 -0600
    Reviewed by: nhosoi, nkinder (Thanks!)
    Branch: master
    Fix Description: Changed the ldbm_config for idlistscanlimit to allow running
    change.  Added a new attribute nsIDListScanLimit that works just like
    nsLookThroughLimit for user entries.  For each search operation, calculate
    the idlistscanlimit to use based on any nsIDListScanLimit or database config.
    The biggest change was to extend the internal database API to allow the
    idlistscanlimit (aka allidslimit) to be passed down into the lowest level of
    the code where it is used.
    Platforms tested: RHEL6 x86_64
    Flag Day: no
    Doc impact: Yes - will need to document how nsIDListScanLimit and
    nsslapd-idlistscanlimit work now

Comment 5 Rich Megginson 2012-01-10 20:18:37 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/244


Note You need to log in before you can comment on or make changes to this bug.